Subject: [Shop-talk] Radiator flush gun

From: [email-masked]
Date: Thu, 6 Dec 2018 16:27:48 -0500 12/06/2018 04:27:55 PM, Serialize complete at 12/06/2018 04:27:55 PM

This is a multipart message in MIME format.

--===============5969127676758652443==

This is a multipart message in MIME format.

--=_alternative 0075E7AB8525835B_=

Anyone know what magic is in these Radiator flush guns?

https://www.amazon.com/ACDelco-91002-2-Professional-Pulsating-Assembly/dp/B01N4MBOBR/ref=sr_1_5?ie=UTF8&qid=1544130821&sr=8-5&keywords=Blast-Vac+Multipurpose+Cleaning+Gun

$370 for a $15 air hose and $20 regulator and some fittings?

More importantly, does anyone know where I can get an air/water gun for 
flushing coolant systems for less than $100?

Here is a simple one...
https://www.ebay.com/itm/VS0044-Sealey-Coolant-System-Flush-Gun-Cooling-System-Coolant-Hose-Radiator-Tool/312241334050?epid=2276294001&hash=item48b308a722:g:JhMAAOSwLEVbnMNX:rk:1:pf:0

But it only comes from the UK and has all metric fittings and all.

Is there a reason these are WAY over priced?  Where can I get one for 
under a $100?  (I only will ever use it a few times.)

Thanks in advance.

Note, I did find this, but am I missing anything?

https://www.amazon.com/OTC-6043-Blast-Vac-Multipurpose-Cleaning/dp/B000F5ECRW/ref=sr_1_fkmr0_1?s=automotive&ie=UTF8&qid=1544131450&sr=1-1-fkmr0&keywords=Coolant+System+Flush+Gun

Sent from my Commodore 64 on a 2400 Baud Modem.
Tech Viper
"Be as beneficent as the sun or the sea, but if your rights as a rational 
being are trenched on, die on the first inch of your territory." Ralph 
Waldo Emerson 

--=_alternative 0075E7AB8525835B_=

<span style=" font-size:10pt;font-family:sans-serif">Anyone know what
magic is in these Radiator flush guns?</span>
<br>
<br><a href="https://www.amazon.com/ACDelco-91002-2-Professional-Pulsating-Assembly/dp/B01N4MBOBR/ref=sr_1_5?ie=UTF8&amp;qid=1544130821&amp;sr=8-5&amp;keywords=Blast-Vac+Multipurpose+Cleaning+Gun"><span style=" font-size:10pt;color:blue;font-family:sans-serif">https://www.amazon.com/ACDelco-91002-2-Professional-Pulsating-Assembly/dp/B01N4MBOBR/ref=sr_1_5?ie=UTF8&amp;qid=1544130821&amp;sr=8-5&amp;keywords=Blast-Vac+Multipurpose+Cleaning+Gun</span></a>
<br>
<br><span style=" font-size:10pt;font-family:sans-serif">$370 for a $15
air hose and $20 regulator and some fittings?</span>
<br>
<br><span style=" font-size:10pt;font-family:sans-serif">More importantly,
does anyone know where I can get an air/water gun for flushing coolant
systems for less than $100?</span>
<br>
<br><span style=" font-size:10pt;font-family:sans-serif">Here is a simple
one...</span>
<br><a href="https://www.ebay.com/itm/VS0044-Sealey-Coolant-System-Flush-Gun-Cooling-System-Coolant-Hose-Radiator-Tool/312241334050?epid=2276294001&amp;hash=item48b308a722:g:JhMAAOSwLEVbnMNX:rk:1:pf:0"><span style=" font-size:10pt;color:blue;font-family:sans-serif">https://www.ebay.com/itm/VS0044-Sealey-Coolant-System-Flush-Gun-Cooling-System-Coolant-Hose-Radiator-Tool/312241334050?epid=2276294001&amp;hash=item48b308a722:g:JhMAAOSwLEVbnMNX:rk:1:pf:0</span></a>
<br>
<br><span style=" font-size:10pt;font-family:sans-serif">But it only comes
from the UK and has all metric fittings and all.</span>
<br>
<br><span style=" font-size:10pt;font-family:sans-serif">Is there a reason
these are WAY over priced? &nbsp;Where can I get one for under a $100?
&nbsp;(I only will ever use it a few times.)</span>
<br>
<br><span style=" font-size:10pt;font-family:sans-serif">Thanks in advance.</span>
<br>
<br>
<br><span style=" font-size:10pt;font-family:sans-serif">Note, I did find
this, but am I missing anything?</span>
<br>
<br><a href="https://www.amazon.com/OTC-6043-Blast-Vac-Multipurpose-Cleaning/dp/B000F5ECRW/ref=sr_1_fkmr0_1?s=automotive&amp;ie=UTF8&amp;qid=1544131450&amp;sr=1-1-fkmr0&amp;keywords=Coolant+System+Flush+Gun"><span style=" font-size:10pt;color:blue;font-family:sans-serif">https://www.amazon.com/OTC-6043-Blast-Vac-Multipurpose-Cleaning/dp/B000F5ECRW/ref=sr_1_fkmr0_1?s=automotive&amp;ie=UTF8&amp;qid=1544131450&amp;sr=1-1-fkmr0&amp;keywords=Coolant+System+Flush+Gun</span></a><span style=" font-size:10pt;font-family:sans-serif"><br>
<br>
Sent from my Commodore 64 on a 2400 Baud Modem.<br>
Tech Viper<br>
&quot;Be as beneficent as the sun or the sea, but if your rights as a rational
being are trenched on, die on the first inch of your territory.&quot; Ralph
Waldo Emerson </span>

--=_alternative 0075E7AB8525835B_=--

--===============5969127676758652443==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk

--===============5969127676758652443==--